Description

The Kepler repository at http://library.kepler-project.org/ currently has 52 components in it, but (nearly?) all are just copies of actors
already built into Kepler. If downloaded and imported (using the menu item 'File/Import Archive (KAR)', one gets an error because the

LSID is already in use (because the actor is already in Kepler). We need to remove any actors that are just duplicates.

Also, all files (KARs) downloaded from the repository seemed to be named just 'data’ on download (at least on a Windows box).
Download name should be more meaningful and should end with '.kar' since that is the file extention that Kepler is looking for to

import the file.

Related issues:

Blocks Metacat - Bug #3084: Need to be able to set filenames on data uploads
Blocks SEEK - Bug #3087: Add objectName parameter for PutService

Blocks Kepler - Bug #4304: Progress monitor is blank when authenticating for ...
Blocks Kepler - Bug #4462: Component search in remote repositories not working
Blocks Kepler - Bug #4781: Use the KarXmlGenerator to create the xml metadata...
History

#1 - 10/06/2006 12:56 PM - Matt Jones

Actually, the library should be able to store copies of the actors, but when one attempts to load it, Kepler should tell the user that they already have
that actor and so there is no need to reload it. This is a more graceful way to handle the problem, and allows us to use the repository as a place to

store old versions of actors.

#2 - 10/11/2006 09:33 AM - Chad Berkley

| thought the kepler repository was originally supposed to house all actors so that we could distribute a light version of kepler with no actors and the

user could just download the actors he/she wanted from the repository.

I've gotten the repository working again, and | cleaned it out of all the stuff that was in there. We need to decide how we want to build it up from

scratch.

I'm not sure how to fix the filename issue. It probably needs to be set on the serverside somehow, but | don't think that metacat has that capability.

#3 - 12/13/2007 11:44 AM - Chad Berkley

set the mime name on upload so that the filename will be correct on upload.

#4 - 01/22/2008 11:48 AM - Chad Berkley

This bug is currently blocked by 3084. Metacat and the grid interfaces need to be updated before this bug can be fixed. I'm pushing this to 1.1

because of this.

#5 - 01/22/2008 01:28 PM - ben leinfelder

the PutService for ecogrid-1.0.0 will include support for filenames. Metacat already handles this, so the download should work without need for

metacat changes.

#6 - 06/17/2008 11:47 AM - Derik Barseghian

| just played with the library page a bit, and had some problems. | can open separate bugs if you like:

— Repository Home link gives a 404 error
For Browse existing Kepler analytical components:
- Download (picture) button not working
— component names are not showing up
On View Documentation pages:
— pictures are broken
- download of component always returns files called "data.jar" (shouldn't it be actorName.kar ?)

personal opinions:
- I think 10 results per page is not enough for the browse section, I'd rather see 50 or 100.
- pictures of actors in browse section would be useful, you could immediately grok category

#7 - 04/03/2009 02:03 PM - Chad Berkley

The repository should be re-worked for the 2.0 release if we are going to include modules in it.

#8 - 06/17/2009 07:00 PM - Derik Barseghian

I'm starting to upload KARs, sets of metadata docs that point at them (workflows and workflow runs) and sets of access documents, but am bumping
into issues, like being unable to see my uploads on the kepler library site. Chad, can you and | and Aaron chat about this bug?

#9 - 06/18/2009 10:56 AM - Chad Berkley

| started working on this yesterday. | found major problems with how Isids are assigned when uploading to the repository. after talking to aaron, the
way to approach this is to first add the actor to the localRepository which will give it a new unique Isid (if needed), then upload it to the remote
repository. The user needs to be asked if their actor is a new revision or a new object so that the appropriate id can be generated.

#10 - 06/19/2009 07:24 PM - ben leinfelder

this isn't just for Actors - this is for Workflows. Just want to make sure we're all keeping that in mind.
The same "upload to repository" function will be used for KARs that contain workflows, runs, and reports - everything is possible.

#11 - 06/25/2009 04:46 PM - ben leinfelder

We're now using the "repository" for many different things:
-actors

-workflows

-workflow runs

-kars (which might contain those above and more)

We're also supporting upload to multiple Repositories (user choice).
The use we're focused on currently is the repository-as-workflow-and-workflow-run-archive for sanparks.

#12 - 06/26/2009 10:35 AM - Chad Berkley

in response to comment #9, | fixed the issues with the LSID conflicts on upload (using the uploadToRepository method). uploadToRepository still
needs to be changed to upload to the local repository first though.

#13 - 06/26/2009 04:11 PM - Chad Berkley

The stuff needed for sanparks is done. pushing to 2.0 release.
#14 - 08/26/2009 02:22 PM - Matt Jones
Need to verify that saving to the repository is working seamlessly for both Uploading components and workflows, as well as other artifacts like run

archives.

#15 - 02/09/2010 03:25 PM - ben leinfelder

adding dependencies...

#16 - 04/16/2010 11:35 AM - Chad Berkley

All dependencies are done. closing.

#17 - 03/27/2013 02:20 PM - Redmine Admin
Original Bugzilla ID was 2493
